classification
Title: Documentation for email.utils is named email.util.rst
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mdk, miss-islington, r.david.murray, zmwangx
Priority: normal Keywords: patch

Created on 2018-10-21 06:17 by zmwangx, last changed 2018-11-26 17:09 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10023 merged zmwangx, 2018-10-21 06:25
PR 10635 merged miss-islington, 2018-11-21 12:41
PR 10636 merged miss-islington, 2018-11-21 12:41
PR 10667 merged mdk, 2018-11-22 21:24
Messages (6)
msg328190 - (view) Author: Zhiming Wang (zmwangx) * Date: 2018-10-21 06:17
Documentation for PSL module email.utils is named email.util.rst. See <https://docs.python.org/3/library/email.util.html>.

This seems to violate the principle of least surprise. (I have a command line tool to open documentation for any PSL module, and I found this name mismatch when I used that with email.utils.) It should be named email.utils.rst instead, unless there's a specific reason not to.
msg328601 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2018-10-26 20:24
Sure, this is fine with me.
msg330196 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-11-21 12:41
New changeset 361e8683e7340c600b22f4a514b81448ccec66dc by Julien Palard (Zhiming Wang) in branch 'master':
bpo-35035: Rename email.utils documentation to email.utils.rst (GH-10023)
https://github.com/python/cpython/commit/361e8683e7340c600b22f4a514b81448ccec66dc
msg330198 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-11-21 12:51
New changeset 27c16e33b1acac55641a27faa5a11508ee605adc by Julien Palard (Miss Islington (bot)) in branch '3.6':
bpo-35035: Rename email.utils documentation to email.utils.rst (GH-10023)
https://github.com/python/cpython/commit/27c16e33b1acac55641a27faa5a11508ee605adc
msg330199 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-11-21 12:54
New changeset 3b7258a5a5fddc6c46f71a89b7c8ce89f4b79641 by Julien Palard (Miss Islington (bot)) in branch '3.7':
[3.7] bpo-35035: Rename email.utils documentation to email.utils.rst (GH-10023)
https://github.com/python/cpython/commit/3b7258a5a5fddc6c46f71a89b7c8ce89f4b79641
msg330284 - (view) Author: miss-islington (miss-islington) Date: 2018-11-22 22:18
New changeset daa34b84e9f6680a4012d5138068236ccdd2d1bd by Miss Islington (bot) (Julien Palard) in branch '2.7':
[2.7] bpo-35035: Rename email.utils documentation to email.utils.rst (GH-10023) (GH-10667)
https://github.com/python/cpython/commit/daa34b84e9f6680a4012d5138068236ccdd2d1bd
History
Date User Action Args
2018-11-26 17:09:57mdksetstage: patch review -> resolved
2018-11-26 08:39:10mdksetstage: resolved -> patch review
2018-11-22 22:29:08mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-11-22 22:18:09miss-islingtonsetnosy: + miss-islington
messages: + msg330284
2018-11-22 21:24:28mdksetpull_requests: + pull_request9920
2018-11-21 12:54:19mdksetmessages: + msg330199
2018-11-21 12:51:30mdksetmessages: + msg330198
2018-11-21 12:41:30miss-islingtonsetpull_requests: + pull_request9883
2018-11-21 12:41:21miss-islingtonsetpull_requests: + pull_request9882
2018-11-21 12:41:14mdksetnosy: + mdk
messages: + msg330196
2018-10-26 20:24:38r.david.murraysetmessages: + msg328601
2018-10-26 18:36:19terry.reedysetnosy: + r.david.murray
2018-10-21 06:25:02zmwangxsetkeywords: + patch
stage: patch review
pull_requests: + pull_request9362
2018-10-21 06:17:19zmwangxcreate